<!-- Generated by Harlequin WebMaker 2.2.3 (23-Apr-1996)
LispWorks 3.2.2 -->
<HTML> <HEAD>
<TITLE>Appendix&nbsp;E</B>: RISC OS file types</TITLE>
</HEAD>
<BODY bgcolor="#ffffff">
<A NAME=HEADING14> </A> 
<A HREF="BOOK3_17.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_9.HT"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
RISC OS 3.7 User Guide<P>
<HR>
<A NAME=HEADING14-0> </A> 
<H1>Appendix E</B>: <A NAME=MARKER-9-1> </A> RISC OS file types</H1>
<HR>
File typ<A NAME=MARKER-2-2> </A> es are three-digit hexadecimal numbers. They are divided into ranges</B>:
<UL>
<LI><B>E00 - FFF</B>: allocated by Acorn for generic data types
<LI><B>B00 - DFF</B>: allocated by Acorn to software houses for applications
<LI><B>A00 - AFF</B>: reserved for use by Acorn applications
<LI><B>400 - 9FF</B>: allocated by Acorn to software houses for applications
<LI><B>100 - 3FF</B>: allocated by Acorn to individuals for applications
<LI><B>000 - 0FF</B>: free for users</UL>
<P>
For each type, there may be a default action on loading and running the file. These actions may change, depending on whether the desktop is in use, and which applications have been seen. The system variables <A NAME=MARKER-2-3> </A> Alias$@LoadType_XXX and <A NAME=MARKER-2-4> </A> Alias$@RunType_XXX give the actions (XXX = file type). <P>
Some types have a textual equivalent set at start-up, which may be used in most commands (but not in the above system variables) instead of the hexadecimal code. These are indicated in the table below by a 'T'. For example, file type &amp;FFF is set at start-up to have the textual equivalent <CODE>Text</CODE> . Other textual equivalents may be set as an application starts - for example, Acorn Desktop Publisher sets up file type &amp;AF9 to be <CODE>DtpDoc</CODE> , and file type &amp;AFA to be <CODE>DtpStyle</CODE> . These textual equivalents are set using the system variables <A NAME=MARKER-2-5> </A> File$Type_XXX, where XXX is the file type.<P>
You should use the hexadecimal file type in command scripts and in programs, otherwise you will find that your files will give an error if you try to run them on a machine that uses a territory with different textual equivalents.<P>
The following types are currently used or reserved by Acorn. Not all file types used by software houses are shown. This list may be extended from time to time</B>:<P>
<A NAME=HEADING16-2> </A> 
<H2><A NAME=MARKER-2-6> </A> Acorn file types</H2>
<P>
<B>File type: Description: Textual equivalent</B> <P><UL>
<LI><B>FFF</B>: Plain ASCII text</B>: Text</B>: T
<LI><B>FFE</B>: Command (Exec) file</B>: Command</B>: T
<LI><B>FFD</B>: Data</B>: Data</B>: T
<LI><B>FFC</B>: Position independent code</B>: Utility</B>: T
<LI><B>FFB</B>: Tokenised BASIC program</B>: BASIC</B>: T
<LI><B>FFA</B>: Relocatable module</B>: Module</B>: T
<LI><B>FF9</B>: Sprite or saved screen</B>: Sprite</B>: T
<LI><B>FF8</B>: Absolute application loaded at &amp;8000</B>: Absolute</B>: T
<LI><B>FF7</B>: BBC font file (sequence of VDU operations)</B>: BBC font</B>: T
<LI><B>FF6</B>: Font</B>: Font</B>: T
<LI><B>FF5</B>: PostScript</B>: PoScript</B>: T
<LI><B>FF4</B>: Dot Matrix data file</B>: Printout</B>: T
<LI><B>FF3</B>: LaserJet data file</B>: LaserJet</B>: ;
<LI><B>FF2</B>: Configuration (CMOS RAM)</B>: Config</B>: T
<LI><B>FF1</B>: Raw unprocessed data (e.g. terminal streams)</B>: RawData
<LI><B>FF0</B>: Tagged Image File Format</B>: TIFF 
<LI><B>FED</B>: Palette data</B>: Palette</B>: T
<LI><B>FEC</B>: Template file</B>: Template</B>: T
<LI><B>FEB</B>: Obey file</B>: Obey</B>: T
<LI><B>FEA</B>: Desktop</B>: Desktop</B>: T
<LI><B>FE9</B>: ViewWord</B>: ViewWord
<LI><B>FE8</B>: ViewPS</B>: ViewPS
<LI><B>FE7</B>: ViewSheet</B>: ViewSht
<LI><B>FE6</B>: UNIX executable</B>: UNIX Ex
<LI><B>FE4</B>: DOS file</B>: DOS</B>: T
<LI><B>FE3</B>: Atari file</B>: Atari
<LI><B>FE2</B>: Commodore Amiga file</B>: Amiga
<LI><B>FE1</B>: Make data</B>: Make
<LI><B>FDF</B>: TCP/IP suite</B>: VT220 script</B>: VTScript
<LI><B>FDE</B>: TCP/IP suite</B>: VT220 setup</B>: VTSetup
<LI><B>FDD</B>: Master utilities</B>: MasterUtl
<LI><B>FDC</B>: TCP/IP suite</B>: unresolvable UNIX soft link</B>: SoftLink
<LI><B>FDB</B>: Text using CR and LF for line ends</B>: TextCRLF
<LI><B>FDA</B>: PC Emulator</B>: DOS batch file</B>: MSDOSbat
<LI><B>FD9</B>: PC Emulator</B>: DOS executable file</B>: MSDOSexe
<LI><B>FD8</B>: PC Emulator</B>: DOS command file</B>: MSDOScom
<LI><B>FD7</B>: Obey file in a task window</B>: TaskObey</B>: T
<LI><B>FD6</B>: Exec file in a task window</B>: TaskExec</B>: T
<LI><B>FD5</B>: DOS Pict</B>: Pict
<LI><B>FD4</B>: International MIDI Assoc. MIDIfiles standard</B>: MIDI
<LI><B>FD3</B>: Acorn DDE</B>: debuggable image</B>: DebImage
<LI><B>FD1</B>: BASIC stored as text</B>: BASICTxt
<LI><B>FD0</B>: PC Emulator</B>: configuration</B>: PCEmConf
<LI><B>FCF</B>: Font cache</B>: Cache</B>: T
<LI><B>FCE</B>: FileCore floppy disc image FileCoreFloppyDisc
<LI><B>FCD</B>: FileCore hard disc image</B>: FileCoreHardDisc
<LI><B>FCC</B>: Device object within DeviceFS</B>: Device</B>: T
<LI><B>FCA</B>: Single compressed file</B>: Squash
<LI><B>FC9</B>: Sun raster file</B>: SunRastr
<LI><B>FC8</B>: DOS MultiFS disc image</B>: DOSDisc</B>: T</UL>
</H2>
<A NAME=HEADING16-3> </A> 
<H2>Industry standard file types</H2>
<P>
<B>File type: Description: Textual equivalent</B> <P><UL>
<LI><B>DFE</B>: Comma separated values</B>: CSV
<LI><B>DEA</B>: Data exchange format (AutoCAD etc)</B>: DXF
<LI><B>DB4</B>: SuperCalc III file</B>: SuperCalc
<LI><B>DB3</B>: DBase III file</B>: DBaseIII
<LI><B>DB2</B>: DBase II</B>: DBaseII
<LI><B>DB1</B>: DBase index file</B>: DBaseIndex
<LI><B>DB0</B>: Lotus 123 file</B>: WK1 (was Lotus123)
<LI><B>CE5</B>: TEX file</B>: TeX
<LI><B>CAF</B>: IGES graphics</B>: IGES
<LI><B>CAE</B>: Hewlett-Packard graphics language</B>: HPGLPlot
<LI><B>C85</B>: JPEG (Joint Photographic Experts Group) file</B>: JPEG</UL>
</H2>
<A NAME=HEADING16-4> </A> 
<H2>Acorn Advance file types</H2>
<P>
<B>File type: Description: Textual equivalent</B> <P><UL>
<LI><B>C25</B>: Acorn Advance Wordprocessor</B>: AWord
<LI><B>C26</B>: Acorn Advance Spreadsheet</B>: ASheet
<LI><B>C27</B>: Acorn Advance Database</B>: ADBase
<LI><B>C28</B>: Acorn Advance Graph</B>: AGraph</UL>
</H2>
<A NAME=HEADING16-5> </A> 
<H2>BBC ROM file type</H2>
<P>
<B>File type: Description: Textual equivalent</B> <P><UL>
<LI><B>BBC</B>: BBC ROM file (ROMFS)</B>: BBC ROM</B>: T</UL>
</H2>
<A NAME=HEADING16-6> </A> 
<H2>Acornsoft file types</H2>
<P>
<B>File type: Description: Textual equivalent</B> <P><UL>
<LI><B>AFF</B>: Draw file</B>: DrawFile</B>: T
<LI><B>AFE</B>: Mouse event record</B>: Mouse
<LI><B>AFA</B>: DTP style file</B>: DtpStyle
<LI><B>AF9</B>: DTP documents</B>: DtpDoc
<LI><B>AF8</B>: First Word Plus file</B>: 1stWord+
<LI><B>AF7</B>: Help file</B>: HelpInfo
<LI><B>AF1</B>: Maestro file</B>: Music
<LI><B>AF0</B>: ArcWriter file</B>: ARCWriter
<LI><B>AE9</B>: Alarm file</B>: Alarms
<LI><B>ADB</B>: Outline font (obsolete file type)</B>: New Font</UL>
</H2>
<!-- TOC -->
<HR>
<ADDRESS>RISC OS 3.7 User Guide - 20 JAN 1997</ADDRESS>
<A HREF="BOOK3_17.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_9.HT"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
</BODY>
</HTML> 