<!-- Generated by Harlequin WebMaker 2.2.3 (23-Apr-1996)
<LispWorks 3.2.2 -->
<HTML> <HEAD>
<TITLE>Appendix&nbsp;H</B>: Character sets</TITLE>
</HEAD>
<BODY bgcolor="#ffffff">
<A NAME=HEADING24> </A> 
<A HREF="BOOK3_27.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_20.H"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
RISC OS 3.7 User Guide<P>
<HR>
<A NAME=HEADING24-0> </A> 
<H1>Appendix H</B>: <A NAME=MARKER-9-1> </A> Character sets</H1>
<HR>
<A NAME=MARKER-2-2> </A> This chapter shows the character table for the Latin1 alphabet set available on your Acorn computer. The Latin1 character set is the alphabet normally used by the desktop. It is based on the International Standards Organisation ISO 8859 document.<P>
<A NAME=HEADING24-2> </A> 
<H2>Loading an alphabet</H2>
When you load an alphabet it overlays the previous alphabet. Most alphabets have a number of undefined characters. These are shown in the table by a light grey square. In such cases, the previous character definition for that code remains in effect.<P>
The character codes 0 - 31 and 127 are not printable characters. They are represented in the table by a dark grey square. You can load an alternative alphabet using the *Alphabet command. <P>
<A NAME=HEADING24-5> </A> 
<H2>How alphabets are initially set up</H2>
<A NAME=HEADING24-6> </A> 
<H3>The default alphabet</H3>
The default alphabet always contains all characters that are defined in the Latin1 alphabet. Note that this definition has been gradually extended by the addition of extra characters in the range &amp;80 - &amp;9F (128 - 159).<P>
The computer's representation of characters that are not defined in the Latin1 alphabet varies. They are represented by the hexadecimal value of their character code. In the future some of these undefined characters may be used to further extend the Latin1 alphabet, or their representation may change. Consequently, you must not rely upon their initial representation.<P>
<A NAME=HEADING24-9> </A> 
<H3>The configured alphabet</H3>
The default alphabet is overlaid by the alphabet that is correct for the computer's configured <A NAME=MARKER-2-3> </A> territory, as set by *Configure Territory.<P>

<A NAME=HEADING26-2> </A> 
<H2><A NAME=MARKER-9-4> </A> Keyboard short-cuts</H2>
There are some useful keyboard short-cuts which you can use to access various characters and alphabets while you are working. You can use these wherever you can use the keyboard</B>: for example, in the Command Line, in an application like !Edit, or when entering a filename to save a file. <P>
<A NAME=HEADING26-4> </A> 
<H4>Using top bit set characters</H4>
Although the easiest way of inserting top bit set characters into your document is using the !Chars application (see <A HREF="../Book2ab/E_7.HTM#HEADING7-0"><I>Chars</I> on page 351</A> ) you can also insert them by using special key combinations. You enter characters using the Alt key and the numeric keypad. For example</B>:<P>
<CODE>Alt <I>&lt;decimal character code typed on numeric keypad&gt;</I></CODE> <P>
enters the character corresponding to the character code typed.<P>
<A NAME=HEADING26-8> </A> 
<H4>Changing between alphabets</H4>
<A NAME=MARKER-2-5> </A> <CODE>Alt Ctrl F1</CODE> Selects the keyboard layout appropriate to the country UK.<P>
<CODE>Alt Ctrl F2 </CODE> Selects the keyboard layout appropriate to the country for which the computer is configured (if available).<P>
<A NAME=HEADING26-11> </A> 
<H4>Switching between other alphabets</H4>
The following sequence also switches the keyboard layout</B>:<P>
<DL>
<DT><DD>1 Press and hold Alt and Ctrl together.<P>
<DT><DD>2 Press and release F12.<P>
<DT><DD>3 Release Ctrl.<P>
<DT><DD>4 Still holding Alt, type on the numeric keypad the international telephone dialling code for the country you want (e.g. 49 for Germany, 39 for Italy, 33 for France).<P>
<DT><DD>5 Release Alt.<P>
</DL>
<B>Note</B> </B>: Check in your <I>Welcome Guide</I>; there may be alternative keystrokes if your computer uses a different keyboard.<P>
<A NAME=HEADING26-19> </A> 
<H2><A NAME=MARKER-9-6> </A> Typing special characters</H2>
<A NAME=MARKER-2-7> </A> Sometimes you need to be able to type special characters that are not apparently on the keyboard, such as accented characters, or symbols like ". You can in fact get at lots of extra characters using the Alt key. Your <I>Welcome Guide</I> tells you much more about this in the chapter on the keyboard.<P>
<A NAME=HEADING26-21> </A> 
<H2>Font diagrams</H2>
Click on the links below to view the following font diagrams

<UL>
<LI><A HREF="LAT1">Latin1 alphabet </A> (ISO 8859/1) </A> <A NAME=MARKER-9-8> </A> <A NAME=MARKER-2-9> </A> <A NAME=MARKER-2-10> </A> 
<LI><A HREF="LAT2">Latin2 alphabet</A> (ISO 8859/2)</H2><A NAME=MARKER-2-12> </A> 
<LI><A HREF="LAT3">Latin3 alphabet</A> (ISO 8859/3) <A NAME=HEADING26-28> </A> <A NAME=MARKER-2-13> </A> 
<LI><A HREF="CYR1">Cyrillic alphabet</A> (ISO 8859/5) <A NAME=HEADING26-31> </A> <A NAME=HEADING26-34> </A> <A NAME=MARKER-2-15> </A> 
<LI><A HREF="HEBR">Hebrew alphabet</A> (ISO 8859/8) <A NAME=HEADING26-36> </A> <A NAME=HEADING26-38> </A> <A NAME=MARKER-2-17> </A> 
<LI><A HREF="CYR2">Cyrillic2 alphabet</A> (DOS code page 866) <A NAME=HEADING26-40> </A> <A NAME=MARKER-2-18> </A> 
<LI><A HREF="BFNT">BFont characters </A> <A NAME=HEADING26-42> </A> <A NAME=MARKER-2-19> </A> 
</UL>


<!-- TOC -->

<HR>
<ADDRESS>RISC OS 3.7 User Guide - 20 JAN 1997</ADDRESS>
<A HREF="BOOK3_27.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_20.H"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
</BODY>
</HTML> 