<!-- Generated by Harlequin WebMaker 2.2.3 (23-Apr-1996)
LispWorks 3.2.2 -->
<HTML> <HEAD>
<TITLE>Appendix&nbsp;I</B>: Error messages</TITLE>
</HEAD>
<BODY bgcolor="#ffffff">
<A NAME=HEADING27> </A> 
<A HREF="BOOK3_30.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_24.H"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
RISC OS 3.7 User Guide<P>
<HR>
<A NAME=HEADING27-0> </A> 
<H1>Appendix I</B>: <A NAME=MARKER-9-1> </A> Error messages</H1>
<HR>
There are many possible <A NAME=MARKER-2-2> </A> error messages; this appendix lists some of the more common ones you might see. It also tells you what the more likely causes of an error message are, and what you can do about it. You may occasionally see other error messages which will usually be self-explanatory. If you have serious problems, especially recurring ones, consult your supplier.<P>
<A NAME=HEADING27-2> </A> 
<H4>User Errors</H4>
These are errors that are mainly caused by you, the user, performing an inappropriate action. Most of these errors are listed in this chapter, together with a way of curing the error.<P>
<A NAME=HEADING27-4> </A> 
<H4>Internal errors</H4>
These errors are not caused by you, but are problems with the system or the application you are using. The most common internal errors are listed here, together with an explanation as to their cause. Most errors of this type start with the word <CODE>Internal</CODE> .<P>
<A NAME=HEADING27-6> </A> 
<H3>Error message windows</H3>
<A NAME=HEADING27-7> </A> 
<H4>Standard error boxes</H4>
This is what a typical error message window looks like</B>:
<P>
<IMG SRC="PICS/BO27IM27" WIDTH=351 HEIGHT=132><P>
<A NAME=HEADING29-2> </A> 
<H4>Filer error messages</H4>
There is another type of error window you may see. This is generated by the desktop Filer and looks like this</B>:
<P><IMG SRC="PICS/BO29IM28" WIDTH=351 HEIGHT=163><P>
This type of error box is generated when a file operation is not completed. You should clear the fault and then click on the appropriate option. For information about these options, turn to <A HREF="../BOOKB/BOOK_3.HTM#HEADING3-35"><I>The Filer</I> on page 10</A>.<P>
<A NAME=HEADING29-5> </A> 
<H4>Application error boxes</H4>
This type of error box is displayed when one of the applications in the computer generates an error. 
<P><IMG SRC="PICS/BO29IM29" WIDTH=351 HEIGHT=126><P>
This error box is displayed by the system monitor. It acts like a watchdog and is only activated when something is wrong. The system monitor allows you to selectively remove tasks from the memory of your computer. It is used when you want to remove a task that is misbehaving but you do not want to restart the whole computer system. You'll find out how to use the system monitor in <A HREF="../BOOKB/BOOK_6.HTM#HEADING6-0"><I>Managing the desktop</I> on page 61</A>. <P>
<A NAME=HEADING29-8> </A> 
<H2>Error messages</H2>
Most error messages are self-explanatory; just follow the instructions given in the error message and try again. This section lists the error messages that may need more explanation.<P>
<A NAME=HEADING29-10> </A> 
<H3>An application that loads a file of this type has not been found by the filer...</H3>
Before you can load a file, the application that the file uses must be loaded. The computer cannot find the application unless the operating system knows where it is stored. The easiest way to tell the computer this is to display the application in a directory display. You could also tell the computer about the application in your Desktop boot file.<P>
<A NAME=HEADING29-12> </A> 
<H3>Chars is unable to display the currently selected outline font</H3>
There is not enough memory reserved for the font cache. Use the Task manager to increase the amount of font cache memory.<P>
<A NAME=HEADING29-14> </A> 
<H3>Disc error</H3>
This may appear for a variety of reasons. The most common explanation is that the floppy disc has a fault on it. You should copy the data onto another disc and then reformat the disc. If you want to try to salvage the disc without formatting it use the command *Defect.<P>
<A NAME=HEADING29-16> </A> 
<H3>Disc not understood - has it been formatted?</H3>
This error message occurs if you put in a disc that has not been formatted or has been formatted in an unknown format. For example an unused and unformatted disc will give this error message and so will a disc formatted to an Apple Macintosh standard since RISC OS does not understand this format.<P>
<A NAME=HEADING29-18> </A> 
<H3><A NAME=MARKER-2-3> </A> Filename not recognised</H3>
The file you have requested has not been found. Make sure that the file exists in the directory you have specified and then try again.<P>
<A NAME=HEADING29-20> </A> 
<H3>This <A NAME=MARKER-2-4> </A> file has been left open from a previous operation</H3>
An operation was interrupted by an error, a reset, or similar. Go to the command line by pressing F12 and type in *Close to close the open file. Press F12 to return to the desktop and then repeat the command that caused the error. If the error persists, restart your computer. *Close will close all files on the current filing system only. *Shut closes all open files on all filing systems.<P>
<A NAME=HEADING29-22> </A> 
<H3>File type is unrecognised</H3>
An unrecognised file type is usually displayed as an empty white icon. Nothing will happen when you double-click on it. You should find the application needed to run it. If you drag the file to !Edit you can view the contents of the file in ASCII format (though this may be unhelpful if the file is not a text file).<P>
<A NAME=HEADING29-24> </A> 
<H3><A NAME=MARKER-2-5> </A> Free space map full</H3>
The data on your disc has become fragmented, and you should compact the disc. This error is only encountered if you are using the old type D or L formats. Use the *Compact command to compact discs. See the file <CODE> Tutorials.StarComms</CODE> .<P>
<A NAME=HEADING29-26> </A> 
<H3><A NAME=MARKER-2-6> </A> Internal error</B>: undefined instruction</H3>
This error may be caused by a bug in the application you are using. Quit the application and then restart the application.<P>
<A NAME=HEADING29-28> </A> 
<H3><A NAME=MARKER-2-7> </A> Internal error</B>: abort on data transfer</H3>
This error may be caused by a bug in the application you are using. Quit the application and then restart the application.<P>
<A NAME=HEADING29-30> </A> 
<H3><A NAME=MARKER-2-8> </A> Internal address error</H3>
This error may be caused by a bug in the application you are using. Quit the application and then restart the application.<P>
<A NAME=HEADING29-32> </A> 
<H3>No reply from the network station</H3>
There is a delay on the network, or the Server is not answering; try repeating the command that caused it. If the error happens repeatedly, ask your system manager for help. <P>
<A NAME=HEADING29-34> </A> 
<H3><A NAME=MARKER-2-9> </A> Not logged on</H3>
You have asked the computer to load a file or application from the network, but you are not logged on. You will see this message if you have just copied an application from the network, logged off, and then tried to load a file straight into the application without loading the application first. The computer tries to load the application from where it first saw it - the network. To avoid this problem, you should first load the application from your disc copy of it, and then load the file.<P>
<A NAME=HEADING29-36> </A> 
<H3>No free <A NAME=MARKER-2-10> </A> printer server of this type</H3>
The printer is not responding. Check that it is plugged in. If you are using the network printer server, try again later when it may be free; if this error occurs repeatedly, consult your system manager.<P>
<A NAME=HEADING29-38> </A> 
<H3><A NAME=MARKER-2-11> </A> Printer in use</H3>
You are trying to print from more than one application at once. Wait for the first application to finish before printing from the other one.<P>
<A NAME=HEADING29-40> </A> 
<H3><A NAME=MARKER-2-12> </A> Printer jammed</H3>
The printer is not responding. Check that it is plugged in. If you are using the network printer server, try again later when it may be free; if this error occurs repeatedly, consult your system manager.<P>
<A NAME=HEADING29-42> </A> 
<H3><A NAME=MARKER-2-13> </A> System resources cannot be found</H3>
The !System application (provided on disc with your computer) cannot be found. Display the directory containing !System and repeat your command. Some applications need to 'see' !System, even though they do not use it.<P>
<A NAME=HEADING29-44> </A> 
<H3>The access details set for this item do not allow this</H3>
Change the access details using the <B>File</B>/<B>Access</B> menu so that access is allowed and then try again.<P>
<A NAME=HEADING29-46> </A> 
<H3>The area of memory reserved for fonts is full</H3>
The space reserved for fonts has been used up. Use the Task manager to reserve more space for the font cache. Alternatively use the Configure application to set the font cache automatically.<P>
<A NAME=HEADING29-48> </A> 
<H3><A NAME=MARKER-2-15> </A> The area of memory reserved for relocatable modules is full</H3>
The space reserved for modules has been used up. Try quitting some applications, or, if that fails, shutdown and reboot your machine to free up module space.<P>
<A NAME=HEADING29-50> </A> 
<H3>The disc is write protected...</H3>
The floppy disc you are trying to access is write protected. Move the write-protect tab and try again.<P>
<A NAME=HEADING29-52> </A> 
<H3>The maximum number of items in a directory has been reached</H3>
You cannot have more than 77 objects in an ADFS directory. You should create a new directory to save your work in.<P>
<A NAME=HEADING29-54> </A> 
<H3>The network is not plugged in</H3>
Check the cable from the socket at the back of the computer to the network socket.<P>
<A NAME=HEADING29-56> </A> 
<H3>The network station you have requested does not appear to be listening</H3>
There is a delay on the network. Try repeating the command that caused it. If the error happens repeatedly, ask your system manager for help.<P>
<A NAME=HEADING29-58> </A> 
<H3>There is a problem with the network...</H3>
Follow the instructions given in the error message. If the errors persist inform your supervisor or network manager of the problem.<P>
<A NAME=HEADING29-60> </A> 
<H3>There is no reply from the Network station requested</H3>
You've tried to access a network file server using the wrong station number.<P>
<A NAME=HEADING29-62> </A> 
<H3>There is not enough memory... xxx free memory is needed before the application will start</H3>
You need to free more memory before the application will run. You can do this by <P>
<UL>

<LI>quitting other applications and modules.
<LI>using the Task manager application to reduce the amount of memory used by other things, such as the font cache and system sprite pool
<LI>changing to a screen display with a lower resolution and/or fewer colours
<LI>discarding the RAM disc if you have one. See <A HREF="../BOOKB/BOOK_6.HTM#HEADING6-63"><I>Managing memory</I> on page 67</A>.</UL>
There's a limit on the amount of memory any single application can use (28MB approx.) and you may see this message if your application reaches this limit.<P>
<A NAME=HEADING29-69> </A> 
<H3>This item has been locked to stop changes being made to it</H3>
You tried to do something forbidden to a locked file, such as delete it. Change the lock access details using the <B>File</B>/<B>Access</B>/<B>Access</B> details window so that access is allowed and then try again.<P>
<A NAME=HEADING29-71> </A> 
<H3>This screen mode is unsuitable for displaying the desktop</H3>
You cannot use this display mode with the desktop. Change to another mode using the Display Manager. <P>
<!-- TOC -->

<HR>
<ADDRESS>RISC OS 3.7 User Guide - 20 JAN 1997</ADDRESS>
<A HREF="BOOK3_30.H"><IMG ALIGN=BOTTOM SRC="next" WIDTH=69 HEIGHT=24></A> <A HREF="BOOK3_24.H"><IMG ALIGN=BOTTOM SRC="prev" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/USERGUIDE"><IMG ALIGN=BOTTOM SRC="top" WIDTH=69 HEIGHT=24></A> <A HREF="../BOOKB/TOC.HTM"><IMG ALIGN=BOTTOM SRC="content" WIDTH=69 HEIGHT=24></A> <A HREF="../INDEX/MAIN.HTM"><IMG ALIGN=BOTTOM SRC="index" WIDTH=69 HEIGHT=24></A> <P>
</BODY>
</HTML> 